<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use UnexpectedValueException;




class ADVEncryptionType
{
    


    const E2EE = 0;
    


    const HOSTED = 1;

    private static $valueToName = [
        self::E2EE => 'E2EE',
        self::HOSTED => 'HOSTED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

